apt-get update problem

    • OMV 4.x
    • Upgrade 3.x -> 4.x

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • apt-get update problem

      New

      Looks like you don’t have the key for the OMV Repo. Was this a 3 to 4 upgrade? I’m sure it should have added it. Your repo also seems to be GitHub, I don’t know if it differs to packages.openmediavault.org but you can try:

      Editing the repo:

      Source Code

      1. /etc/apt/sources.list.d/openmediavault.list


      You should see the github repo, replace with:

      Source Code

      1. deb http://packages.openmediavault.org/public arrakis main


      Then

      Source Code

      1. apt update


      Ignore errors, then:

      Source Code

      1. apt-get --allow-unauthenticated install openmediavault-keyring


      Then

      Source Code

      1. apt update


      Does the error persist?


      Sent from my iPhone using Tapatalk

      The post was edited 1 time, last by ellnic ().

    • apt-get update problem

      New

      Für die weakref.py Thematik gibt es einen Workaround:

      Upgrade Debian 9 and 4.x

      Du kannst diese Meldungen aber auch einfach ignorieren. Das ist nur ein Darstellungsfehler.

      Gruß
      ---------------------------------------------------------------------------------------------------------------
      frontend software - android tv | libreelec | win10 | kodi krypton
      frontend hardware - nvidia shield tv | odroid c2 | yamaha rx-a1020 | quadral chromium style 5.1 | samsung le40-a789r2 | harmony smart control
      -------------------------------------------
      backend software - debian | kernel 4.4 lts | proxmox | openmediavault | zfs raid-z2 | docker | emby | vdr | vnsi | fhem
      backend hardware - supermicro x11ssh-ctf | xeon E3-1240L-v5 | 64gb ecc | 8x4tb wd red | digital devices max s8
      ---------------------------------------------------------------------------------------------------------------------------------------
    • New

      ellnic wrote:

      Looks like you don’t have the key for the OMV Repo. Was this a 3 to 4 upgrade? I’m sure it should have added it. Your repo also seems to be GitHub, I don’t know if it differs to packages.openmediavault.org but you can try:
      yes, i have updatet from 3 to 4

      ellnic wrote:

      Editing the repo:


      /etc/apt/sources.list.d/openmediavault.list

      You should see the github repo, replace with:


      deb packages.openmediavault.org/public arrakis main
      now it looks works fine, but i am not shure :P



    • apt-get update problem

      New

      Sorry for the delay in replying.

      It looks like the corrected OMV repo is now all good.

      Next let’s sort that OMV extras. For some reason you don’t have the keys for that either. No problem, just reinstall the package to fix. No need to use apt-key.


      Source Code

      1. wget http://omv-extras.org/openmediavault-omvextrasorg_latest_all4.deb


      Then:

      Source Code

      1. dpkg -i openmediavault-omvextrasorg_latest_all4.deb


      Then finally:

      Source Code

      1. apt update


      How about now? :)


      Sent from my iPhone using Tapatalk
    • Users Online 2

      1 Member and 1 Guest